#include <USB Transmision.h>

#FUSES NOMCLR

#define USB_CONFIG_BUS_POWER 500 //500ma corriente de entrada

#include "usb_cdc.h"

void enviar()
{
   int16  pot1;
   int16  pot2;
   
   set_adc_channel (0);//Lectura Vout del potenciometro en PIN AN0
   delay_us(10);
   pot1 = read_adc();// lectura del valor  

   set_adc_channel (1);//Lectura Vout del potenciometro en PIN AN1
   delay_us(10);
   pot2 = read_adc();// lectura del valor  
   
   printf(usb_cdc_putc,"%04lu,%04lu\r\n",pot1,pot2);

}

void main()
{
   usb_init(); 
   
   setup_adc(ADC_CLOCK_INTERNAL);  
   
   while(TRUE)
   {
      if(usb_enumerated()) //esta asignado a un puerto COM?
      {
         enviar();
         delay_ms(10);
      }
   }

}
